Welcome !

With a set of over 15 system maintenance tools, you can run your system smooth and error free.

Ace Utilities is a collection of tools to optimize your system performance and to remove unneeded files and internet tracks. It allows you to find and remove invalid registry entries, delete your application and internet history (plug-in support for 85+ external programs), manage your cookies and more. With a startup manager you can also see what programs start automatically with windows and optionally disable selected items. Furthermore, Ace Utilities includes options to find true duplicate files, fix or remove broken shortcuts and to uninstall software. Other features include secure file deletion, disk space analysis, tweaking of hidden settings, an Empty Folder finder and more.

Awards

Ace has been awarded the highest ratings in all the sites.Take a look at the various awards received by Ace Utilities

Rated 5/5 cows at www.tucows.com

www.5star-shareware.com pick, rated 5/5 stars

Rated 5/5 stars, and editor's pick at www.webattack.com

Rated 5stars at www.filetransit.com

Most popular at www.softpile.com

www.programurl.com

www.fileheaven.com

Also, 96% of 115 user opinion says "thumbs up" at www.download.com


System Requirements

Supports the following Windows releases: Windows 98, ME, 2000, XP (Pro & Home), and WinNT 4.0 or above.

Minimal system configuration:

  • Graphics mode 800x600 with 16-bit colors
  • 5 MB free hard disk space at least
  • Intel Pentium or AMD K5 processor with 133 MHz
  • 32 MB RAM

Recommended system configuration:

  • Graphics mode 1024x768 with 16.7 m colors
  • 10 MB or more free hard disk space
  • Intel Pentium 3/4 or AMD Athlon processor with 500 or above MHz
  • 128 MB RAM


License

License Agreement

Ace Utilities

Copyright 1999-2002 HariKrishnan.

All rights reserved.

IMPORTANT - READ CAREFULLY:

This license agreement is a legal agreement between you (individual or a legal entity) and HariKrishnan, the author of the software product "Ace Utilities".

YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE AGREEMENT AND THE LIMITATIONS OF YOUR LICENSE BY INSTALLING, COPYING, DISTRIBUTING OR OTHERWISE USING ACE UTILITIES. IF YOU DO NOT AGREE, DO NOT INSTALL, DISTRIBUTE OR USE ACE UTILITIES IN ANY WAYS.

TABLE OF CONTENTS

1. Definitions

2. Grant of license

3. Restrictions and limitations of use

4. Termination of license

5. Confidentiality

6. Disclaimer

7. Limited liability

8. Distribution

9. Reservation of rights

1. DEFINITIONS

" Ace Utilities " means the Ace Utilities software product and everything included in its official distribution packages, such as the documentation, all the plug-ins, and all other files.

"the Author" means the creator and the developer of the " Ace Utilities " software product, an individual called HariKrishnan.

2. GRANT OF LICENSE

The Author grants you the following rights provided that you comply with all terms and conditions of this license agreement:

1. Usage. You may install, use, access, display and run Ace Utilities in so many computers that the license you own allows you to.

3. RESTRICTIONS AND LIMITATIONS OF USE

You are NOT allowed to:

1. Modify, reverse engineer, decompile, disassemble or otherwise attempt to reconstruct or discover the source code, or any parts of it from the binaries of Ace Utilities.

2. Create, develop, distribute, use, install or store in your computer a program, source code, mechanism, method, protocol or algorithm to bypass or to brake Ace Utilities' features or license validation.

3. Remove any product identification, copyright, proprietary notices or labels from Ace Utilities.

4. Distribute, re-distribute, rent, lease or sell the licensed version of Ace Utilities or any portions of it or the license itself or any portions of the license without a written permission from the Author.

5. Distribute Ace Utilities in any other form than in the official distribution packages without a written permission from the Author.

6. Use the licensed version of Ace Utilities if you know that the copy you are using is illegal or the license itself is illegal or fake.

7. Use, run, copy, distribute or store Ace Utilities in your computer if this license agreement is violated in any ways.

4. TERMINATION OF LICENSE

The Author has the right to terminate this license if you do not abide by the terms and conditions of this license, in which case you must destroy all copies of Ace Utilities and all of its component parts.

5. CONFIDENTIALITY

Licensed version of Ace Utilities and any license authorization codes or files are confidential. You agree to take adequate steps to protect Ace Utilities and any license authorization codes and registration file from unauthorized disclosure or use. You agree that you will not disclose the licensed version of Ace Utilities, any parts of it, its license or any parts of the license to any third party.

6. DISCLAIMER

THE AUTHOR EXPRESSLY DISCLAIMS ALL WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS, AND ANY WARRANTY THAT MAY ARISE BY REASON OF TRADE USAGE, CUSTOM, OR COURSE OF DEALING. WITHOUT LIMITING THE FOREGOING, YOU ACKNOWLEDGE THAT ACE UTILITIES IS PROVIDED "AS IS" AND THAT THE AUTHOR DOES NOT WARRANT THAT ACE UTILITIES WILL RUN UNINTERRUPTED OR ERROR FREE NOR THAT ACE UTILITIES WILL OPERATE WITH HARDWARE AND/OR SOFTWARE NOT PROVIDED BY THE AUTHOR. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THE AGREEMENT. SOME STATES DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU, AND YOU MAY HAVE OTHER RIGHTS, WHICH VARY FROM STATE TO STATE.

7. LIMITED LIABILITY

The entire risk as to results and performance of Ace Utilities is assumed by you. Under no circumstances will the Author or his licensors be liable for any direct or special, indirect, incidental, exemplary or consequential damages of any kind or nature whatsoever, whether based on contract, warranty, tort (including negligence), strict liability or otherwise, arising out of or in any way related to Ace Utilities or this agreement, even if the Author or his licensors have been advised of the possibility of such damage or if such damage could have been reasonably foreseen, and notwithstanding any failure of essential purpose of any exclusive remedy provided in this agreement. Such limitation on damages includes, but is not limited to, damages for loss of goodwill, lost profits, loss of data or software, work stoppage, computer failure or malfunction or impairment of other goods. In no event will the Author or his licensors be liable for the costs of procurement of substitute Software or services. in addition, in no event will the total liability of the Author in connection with this agreement or Ace Utilities exceed the actual amount paid to the author, if any, for Ace Utilities giving rise to the claim. You acknowledge that Ace Utilities is not designed or licensed for use in on-line equipment in hazardous environments such as operation of nuclear facilities, aircraft navigation or control, or life-critical applications. The Author expressly disclaims any liability resulting from use of Ace Utilities in any such on-line equipment in hazardous environments and accepts no liability in respect of any actions or claims based on the use of Ace Utilities in any such on-line equipment in hazardous environments by you. For purposes of this paragraph, the term "life-critical application" means an application in which the functioning or malfunctioning of Ace Utilities may result directly or indirectly in physical injury or loss of human life.

8. DISTRIBUTION

Unlicensed version of Ace Utilities may be freely distributed provided that it is not modified in any ways and that the original distribution packages remain intact with all accompanying files, and provided that no fee is charged (except for any reasonable fees necessary to cover costs of distribution media), and that this license agreement is not violated in any ways.

9. RESERVATION OF RIGHTS

The Author reserves all rights not expressly granted to you in this license agreement.

Ace Utilities

Copyright 1999-2002 HariKrishnan.

All rights reserved.


Unneeded File Remover

Remove Unneeded Files

Windows and most applications create temporary files, while running. But these files are rarely deleted after use. These files can have varying sizes, wasting your disk space and slowing down many applications (like windows explorer).

This utility searches your folders for such invalid files that are not required by your system and lists them. You can send them to the recycle bin (by default) or delete them permanently. Mostly such files have extensions like .tmp, .gid, etc.

Usage

  • Click 'Drives'. Select the drives on your hard disk you want to scan, by check marking the appropriate drives.
  • Click the 'Scan' icon. Wait for the process to complete, when the 'Please wait' dialog box will be gone. You can cancel the scanning process by pressing the cancel Button or pressing Esc Key.
  • From the list of junk files presented, you can select those files that you want to delete by check marking them. By default, all files found are marked for deletion. All the actions you can perform are menu-driven. Select the files and right click on them to see the context menu. There are various options, all of them self-explanatory.
  • Click 'Delete' to send all check marked files to the Recycle Bin or to a backup location you might have specified in the Options or delete permanently.

To set the options, click 'Options' on the left side.

Suppose after scanning, you may want to exclude some files. Select the file(s), right click on it, and from the popup menu, click 'Exclude/Always' or 'Exclude/This time'. When you click 'Always', the item will be removed from the list (not deleted from disk) and it will be added to a ignore-list. The file will not be listed again in the future. Clicking 'This time' removes the entry from the list.

There is an option called Backup on the bottom. If, in Options, you have set a back-up folder where all the junk files are to be placed upon clicking Delete, then by marking/unmarking this option you can allow/prevent those files from moving to the back-up location.

If you have set Ace Utilities to make back-ups of cleaned junk files, a corresponding zipped Undo file is generated which can be used to restore the files deleted. From the Ace Utilities main window, click the Restore button which will take you to the Restore tool window. Click the Junk File Remover tab. Select the zip file from which files are to be restored. Click on the Restore button to restore all files in the selected zip-file. If you click on Custom Restore, all the files inside the selected zip-file will be shown in another window from which you can selectively restore files. The zip-file will have its name related to the date and hour when it was created ;i.e., when the cleaning was done.

By clicking 'Report', you can save the list as a text file.

The cleaner has a built-in ignore list to ignore certain files. This make it safer. Read about ignore lists for more information.


RegCleaner

Clean System Registry

Registry is the database of Windows, used to store data.
Over time, Windows Registry begins to hold data that is invalid or is dead. This invalid data eventually accumulate in the registry, slowing Windows down and causing other problems.

The Cleaner tool will cleanup your Registry by finding

  • invalid paths
  • invalid file associations
  • invalid file types
  • invalid ActiveX and COM
  • obsolete software entries
  • dead file extensions
  • invalid application paths
  • invalid help paths
  • invalid fonts
  • obsolete start menu order
  • and all other dead entries through out the registry.

Usage

  • Click the 'Scan' icon. Wait for the process to complete, when the 'Please wait' dialog box will be gone. You can cancel the scanning process by pressing the cancel Button or pressing Esc Key. The total number of invalid entries found and the number of entries ignored are reported on the bottom left.
  • By default, all entries found are marked for deletion, since all found entries can be safely removed. If you are an expert, you can select those that you want to delete by check marking them. Select the entries and right click on them to see the context menu presenting various actions you can take.
  • Click 'Remove' to delete all the check marked invalid entries.

Before scanning, You can make a backup of your System Registry using Windows Registry back up tool by clicking 'Backup whole registry' from the right click popup menu. Note that it is a silent process, and done by Windows. This backup is done through the command "scanregw.exe /BACKUP". You can restore your registry to the previous state by the command "scanregw.exe /RESTORE". Scanregw.exe may not be available for Windows NT/2k/XP. You must Backup whole registry before first using the cleaner.

Whenever you clean the Registry, a corresponding Undo file is generated for any changes made which can be used to recreate the entries deleted. From the Ace Utilities main window, click the Restore button which will take you to the Restore tool window. Click the Registry Cleaner tab, select the file to be merged back to the registry and click the Restore button. The undo-file will have its name related to the date and hour when it was created ;i.e., when the cleaning was done.

Suppose after scanning, you may want to exclude some entries. Select the entries, right click on it, and from the popup menu, click 'Exclude/Always' or 'Exclude/This time'. When you click 'Always', the item will be removed from the list (not deleted from registry) and it will be added to a ignore-list. The entry will not be listed again in the future. Clicking 'This time' removes the entry from the list.

By clicking 'Report', you can save the list as a text file.

The cleaner has a built-in ignore list to ignore certain unsafe entries. This makes it safer. Read about ignore lists for more information.


Erase History

Erase Your History

This utility cleans your browser history, cache, cookies, temporary internet files, recent document history of applications, and more...

Usage

  • Check mark the options you want
  • Click 'Start'.

Given below is a short description of each option.

Windows

  • Empty the Windows XP Prefetch folder
    Prefetch is a new and very useful technique in Windows XP. However, after using XP some time, the prefetch directory can get full of junk and obsolete links in the Prefetch catalog, which can slow down your computer noticeably. You can safely remove these files and regain system performance; any files that are needed will be created again.
  • Delete Empty Folders in Windows Temp Folder
    Many programs that you use may create folders in the Windows TEMP folder. Through this, you can delete empty folders among them.
  • Erase Outlook Express's deleted mails.
    Mails deleted from the Outlook Express will be stored in your hard disk, even though they are not shown by the program. Check this box to delete those mails.
  • Erase Folder streams in the Windows Registry
    Each time you open a File Folder, Windows makes an entry in the System Registry.
    Check this box to delete those entries.
    Note:- deleting this may alter the layout of your folders.
  • Empty Clipboard (paste data)
    Windows clipboard contains the latest item you have copied or cut from a document.
    Check this box to clear the clipboard.

  • Delete open/save dialog history

    Whenever you open or save a file using any applications, information related to that file will be stored in the registry. Check this box to erase this history.

Start Menu

  • Delete start menu order history
    This option clears the order in which entries are stored in your start menu. All the entries will be sorted in alphabetical order.
  • Delete the list of recently opened network drives in windows

  • Remove Old Start Menu click

  • Remove old Start Menu click History
    The start menu remembers the dates and times you use programs, in an encrypted database. This option decrypts that database, and finds invalid entries from it.
  • Erase Start/Find Computer history
    Check this box to cause the history stored in Find Computer dialog to be erased. This feature requires rebooting your system

  • Erase Start > Find Files history

    Windows stores the search queries you provided for finding files so that they can be re-used.

    Check this box to cause the history stored in Find Files dialog to be erased. This feature requires rebooting your system

  • Erase Start/Run history
    Check this box to cause the history stored in the Run dialog of the Start menu to be erased each time you log on.
    Note that this clears only the standard Explorer Run history. It does not clear the Run history for third-party applications nor does it clear the auto-filling of the Run history from your URL history.

  • Delete recently opened Document history

    Whenever a file is opened, a shortcut link to the location of the file is created to facilitate easy access henceforth. These links can be accessed from Documents section of the Start menu.
    Check this box to cause this history stored to be erased.

Internet Explorer

  • Delete IE favorites menu order history
    This option clears the order in which entries are stored in your IE favorites menu. All the entries will be sorted in alphabetical order.
  • Delete locked URL cache file (index files)
    Index.dat files keep a list of websites you have visited, cookies received and files downloaded. If you have never cleaned the index.dat files, your online life story since you installed your Windows is offered to everybody like an open book. This file cannot be deleted manually, even if you find them, because Windows guards/locks it.
    Check this box to delete these files. This feature requires rebooting your system.
  • Delete all Auto-complete data of Internet Explorer

    The AutoComplete feature saves previous entries you've typed for Web addresses, forms, and passwords. Then, when you type information in one of these fields, AutoComplete suggests possible matches. These matches can include folder and program names you type in the Address bar, and search queries, stock quotes, or information for just about any other field you fill in on a Web page like your credit card number.

    Check this box to clear these data.

  • Clear IE typed URLs
    The address bar of IE stores the addresses / URLs you have typed.

    This option deletes that history.

  • Clear IE browser history

    The history of your browsing sessions are stored in your hard disk. It also contains the links to the websites you've visited.

    This option deletes that history information.

  • Delete IE Cache
    The Temporary Internet Files folder is the location on your hard disk where Web pages and files (such as graphics) are stored as you surf the net. This speeds up the display of pages you frequently visit or have already seen, because Internet Explorer can open them from your hard disk instead of from the Web. However, with time, the number and size of these files will grow, slowing down your system.
    Check this box to clear these internet files.
  • Delete IE cookies

    Some Web sites store information in a small text file, called a "cookie," on your hard disk. Cookies contain information about you and your preferences. Or it might only contain a record of which pages within the site you visited, to help the site customize the view for you the next time you visit.

    Only the information that you provide, or the choices you make while visiting a Web site, can be stored in a cookie. Allowing a Web site to create a cookie does not give that or any other site access to the rest of your computer, and only the site that created the cookie can read it. Internet Explorer is set up to allow the creation of cookies by default.

    Since some cookies are useful, you may want to keep them. Click 'Manage Cookies' to select the cookies you need to keep. All the unmarked ones will be deleted.

Plug-ins

Privacy plug-ins are used to erase the recent document history of third-party applications.

Almost all applications like WinZip, Windows Media Player, Paint, Acdsee, etc keep a list of recently opened documents (pictures, movies, etc).

Provided are a list of plug-ins we have created to delete such information for a number of popular programs. Select the plug-ins of you like and our program will delete the history information of that applications for you.


Shortcut.htm

Fix Invalid Shortcuts

Most often you delete/move the target file or folder of a shortcut, making that shortcut invalid.
This utility searches your disk for such dead shortcuts, and can even fix them, by automatically searching for moved targets.

Usage

  • There are two options for scanning for invalid shortcuts. (1) Scan for invalid/broken shortcuts from Start Menu or Desktop or , (2) Scan for hard-disk drives specified. For option (2), Click 'Drives'. You will be shown the option dialog. From that, select the 'Scan all drives specified in the drives tab' option. Select the drives on your hard disk you want to scan, by check marking the appropriate drives.
  • Click the 'Scan' icon. Wait for the process to complete, when the 'Please wait' dialog box will be gone. You can cancel the scanning process by pressing the cancel Button or pressing Esc Key.
  • From the list of links presented, you can select those files that you want to delete by check marking them. By default, all links found are marked for deletion. Select the files and right click on them to see the context menu. There are various options, all of them self-explanatory.
  • If you come across such a link that you know the file it points to, you can fix this. Select the link, right click and click on the Fix As option. Then browse and show the path to that file and Ace Utilities will fix the broken link for you.

To set the options, click 'Options' on the left side.


AutoStart Programs

Auto-Start Manager

This utility allows you to manage all applications which start automatically and run behind your back when system is loaded. Such programs consume a good part of your system's resources, and can slow down other programs. This tool can organize programs that auto-run using Registry, Startup folders in the Start menu and Win.ini file.

You can prevent an application from auto starting by unchecking it, and then clicking Update. The application shortcut will be moved to another safe location. For example, the entries in the Startup group in the start menu are moved to 'StartUpDisabled'. So you should not delete that folder. You can permanently remove that item using Remove option from the right-click popup menu. Note that the application is not deleted in this process; it simply removes the reference to that program.

Using a built-in database, Ace Utilities can also check whether there are any commonly known viruses/ spyware/ Trojan starting automatically.

Usage

  • Take the 'AutoStart Programs' tool.
  • Uncheck the applications you don't want to start when windows boots.
  • Click 'Update/Apply' to save the changes

or

  • Right-click on any entry for a popup menu
  • Use the Enable/Disable menu item.

Enabling and disabling of entries does not remove the entry from the list. They are only allowed to start or prevented from starting automatically. To remove an item permanently, click 'Remove' from the popup menu or press 'Del' key.

You can also edit an entry to rename it or change the target application path.

Adding new startup items

A useful feature is the Add option in the menu. Using this tool you can easily add new items to be started when Windows does. This is much more convenient than traversing system Registry and manually entering data.

To add a new item to your startup list, right-click on the window and select the option labeled 'Add'. To edit an existing startup item select it from the displayed list and then select the button labeled 'Edit'. A box with various options will appear allowing you to configure the item. The options in this box are described as follows:

Name : You may type the description of the item within this box. The information in this area is displayed in the "Program Name" column when listed.

Path/Cmd : This is the path and filename of the item that you would like to be started. You may either select the button with the folder icon at the right of this box to browse for a file, or manually type this information into this box.

You can make this new entry start every time Windows starts, or only once . Also, it can be set to start only for the current user or for all user profiles.

You may also edit any of the existing listed items in order to move them from one location to another, change their program description, or update the command line that is being used to start the item.

By clicking 'Report', you can save the list as a text file.

Read tips and tricks to get the maximum out of this tool.


Duplicates

File Duplicate Files

Warning: The files that you delete using this tool are entirely your selection. Ace can only find duplicate copies of files ; it can't tell which one is the duplicate/unneeded. In short, not all files found are candidates for removal.

Duplicate files can begin appearing in your system for a number of reasons, and can have a number of detrimental results aside from wasting your drive space. Frequent copying , installation, etc of files and programs creates duplicate copies of files in your disk, consuming disk space and slowing down your system. The purpose of this utility is to find out such duplicate copies.

Usage

  • Click 'Drives' to select the drives on your hard disk you want to scan , by checking the appropriate drives.
  • There are many options you can set in using this tool. Click Options to do so.
  • Click the 'Scan' icon below the folder .Wait for the process to complete, when the 'Please wait' dialog box will be gone. This might take some time. All system files will be skipped.
  • All the duplicate file groups will be listed. From each group, keep the original copy, and check mark the duplicate copy, by viewing the properties/viewing the file by opening with its associated program. Click 'Delete' icon to remove all the check marked files. By default all deleted files are sent to the recycle bin.

The above picture shows the correct way of marking files for deletion. See that the unneeded duplicate files of each group have been marked for deletion.

By default, this tool searches for duplicates files of certain file types only as shown in the Option. But it can be set to scan for all files.

The tool have preset options for finding files with same name and size.

Two or more files with the same name is a good indicator of duplicates. But it is quite possible that two totally unrelated files may exist with the same name which are not duplicates. This option alone provides very unreliable matching. In this context comes another useful option 'Same Size'. These two options coupled is almost good. To further enforce the duplicate nature, we have provided a very strong feature called 'CRC-32 Checking'. If this criteria is also included into scanning, you will get only duplicate files in every sense.

Adding new file types: If you are experienced with windows file types, you may wish to customize the pre-built list. You may add new file extensions and wildcard filters to the saved list of file types. Click the 'Add' button and specify the file type. As simple as that.

To remove an existing type, select the file type entry from the list and click 'Remove' button.

The duplicate file finder has a built-in ignore list to ignore certain file types, like *.dll, *.ocx, system files, etc. This make it safer. Read about ignore lists for more information.


Uninstaller.htm

Uninstall Manager

This utility can be used to uninstall applications easily and quickly than the 'add/remove' control panel applet. This tool lists entries usually with reference to a physical uninstallation file located somewhere on your system.

Sometimes, by either manually deleting applications, or from untidy uninstallation, the file that these entries reference, no longer exists and results in an error when the corresponding entry is tried to uninstall. It is impossible to remove these orphaned entries manually. Using this tool, you can easily remove these invalid entries, by clicking the 'Remove' option from the popup menu.

Usage

  • Select the application you want to uninstall. The available details about the application will be shown on the top. The uninstallation entry found in the system registry will be shown below. Click Uninstall or press 'Enter' key.
  • To remove an application entry, select the entry, right click and select 'Remove Entry' , or press 'Del' key.

By clicking 'Report', you can save the list as a text file.


Unneeded File Remover

Find Empty Folders

This tool can be used to find empty folders in your hard drive.

Usage

  • Click 'Drives'. Select the drives on your hard disk you want to scan, by checking the appropriate drives.
  • Click the 'Scan' icon. Wait for the process to complete, when the 'Please wait' dialog box will be gone. You can cancel the scanning process by pressing the cancel Button or pressing Esc Key.
  • From the list of empty files presented, you can select those that you want to delete by checking them. All the actions you can perform are menu-driven. Select the files and right click on them to get a menu through with you can mark/unmark them. The various options given are self-explanatory.
  • Click 'Delete' to send all files to the Recycle Bin or delete permanently.

All windows folders, read-only and hidden folders will be excluded from scanning.

By clicking 'Report', you can save the list as a text file.


Unneeded File Remover

Disk Analysis

This tool can be used to produce details regarding files on each drive.

Usage

  • Select the drive you want Ace Utilities to analyze.
  • Click Start.

There are two scan options. (1) Show the disk space consumed by each file type , and (2) Show the large files in the drive based on size.

If you select the first option, then you will be presented with a list showing File Type, Total number of files of each type and total size occupied by files of each type along with a short description of each file type. For the second scan option, you will get a list of files sorted on descending order of file size. Here files having size of 1 MB or above only are shown.


Unneeded File Remover

Securely Delete Files

The standard Windows Recycle Bin allows you to delete files and folders, presumably removing them from prying eyes, however, unbeknownst to most of us there are very simple ways to retrieve and view files and folders which have been removed in this manner – even months after they have been "deleted". The reason items can be so easily retrieved intact even long after being supposedly deleted is because Windows does not actually erase the physical data on your drive that makes up the item – it only marks the very first byte of it as "available space" so that the operating system can use it if necessary. With simple, and in most cases free software, anyone can view a list of all of the files, folders, pictures, and documents you have attempted to delete recently, as well as easily restore and view them. This is where Ace Utilities's 'Securely Delete Files' tool come in handy.

Shred Recycle Bin
With this option, you can permanently delete all the files in the Recycle Bin. These files will not be recoverable with file recovery tools.

To securely delete files/folders

Usage

  • Click the 'Add File(s)' button to find and insert the files from your hard drive. You can add folders by clicking the 'Add Folder' button. if u check the 'Sub Folders' option, all subfolders inside the selected folder will be added too.
  • Upon inserting files and folders to the deletion list, click 'Delete All' to permanently delete them.
  • You can specify the number of times the files marked to delete are over-written with junk data before deletion. The range of passes is from 1 to 10. By default, this is set to 3.


Unneeded File Remover

Tweak Plus

This tool can be used to modify some of the Windows settings. This is only a basic customization tool.

Security

Display Control Panel

Deny access to Display control panel:
Enabling this option will not allow users to access the Display entry in the control panel section.

Hide the background page:
Enabling this option will hide the 'Background' tab in the Display Properties page

Hide the screen saver page:
Enabling this option will hide the 'Screen Saver' tab in the Display Properties page

Hide the appearance page:
Enabling this option will hide the 'Appearance' tab in the Display Properties page

Hide the settings page:
Enabling this option will hide the 'Settings' tab in the Display Properties page

Disable Registry editing tools:
Enabling this option will disable accessing tools to edit registry like Regedit.exe

Hide the folder options control panel:
Enabling this option will disable users from accessing the 'Folder Options' settings box.

Hide Start Menu -> Find files and folders:
Enabling this option will hide the Find files option from showing in the Start menu.

Hide Start Menu -> Control panel:
Enabling this option will hide the Control panel option from showing in the Start menu.

Disable the ability to right click on the Desktop:
Enabling this option will disable the right click feature on the Windows Desktop

Hide all items on the Desktop:
Enabling this option will hide all icons shown in the Windows Desktop. You need to log-off Windows for this to work.

Clear recent documents when Windows exits:
Enabling this option will delete all the recently opened document links upon exiting Windows.

Machine

Registered Owner:
The information is this box corresponds to the details listed by your computer under the "Registered To:" information under the properties of your computer. It shows the name of the user under which the Windows copy is registered to.

Registered Organization:
The information is this box corresponds to the details listed by your computer under the "Registered To:" information under the properties of your computer. It shows the name of the organization under which the Windows copy is registered to.

Explorer

Windows Explorer toolbar's background bitmap:
Browse the path of the picture file that is to be shown tiled on the Windows Explorer toolbar

Internet Explorer toolbar's background bitmap:
Browse the path of the picture file that is to be shown tiled on the Internet Explorer toolbar

Internet Explorer's window title:
Specify the text that is to be shown on the title bar of Internet Explorer.

Windows

Show this message box at Windows Logon

Title : The text that is to be shown on the title bar of the message box.
Text : Show the text that is to be shown on the message box.

Desktop wallpaper position

Horizontal offset:
Vertical offset:

Windows setup path: Manually enter the path from which Windows was setup. Or you can browse and show the path.

Start Menu

Remove run from Start Menu:
Enabling this option will remove the entry named 'Run' from appearing on the Start Menu.

Remove Search from Start Menu:
Enabling this option will remove the 'Search' entry from appearing on the Start Menu

Remove Recent Documents from Start Menu:

Remove Favorites from Start Menu:
Enabling this option will remove the 'Favorites' entry from appearing on the Start Menu

Remove the Help option from Start Menu:
Enabling this option will remove the 'Help' entry from appearing on the Start Menu


Unneeded File Remover

Menu

Clicking this button will provide a menu. The options are self-explanatory. Some of those options are explained below.

Enter Registration Key
Clicking this option will bring about a box in which you can type or paste the software registration key provided to you. After pasting it inside the box, click OK. Then you are asked to restart the application. If the registration key is valid, the program will be registered to you.

Note:- Use copy / paste to paste the key. Don't use keyboard to type the key in. Select the key from your email client, right click and click 'Copy' from the popup menu. Then click the 'Enter registration key' menu option, and click 'Paste'.

Configuration Wizard
The Configuration Wizard is designed with an easy to understand wizard-based Interface. Moving from step to step is accomplished by adjusting the options visible and then selecting the button labeled 'Next'. If you wish to go back at any time to make changes to previous step, select the button labeled 'Back'. All the options are self-explanatory.

Check for updates
Clicking this will take you to a box which can be used to check on latest version of Ace Utilities. On the box, click 'Check' to make Ace Utilities go to its homepage and check for updates. After successful retrieval attempt, the information queried will be displayed on the box, along with links to download the latest version. You have to manually download the new setup file from the link shown, and install the new version.


options.htm

Options

Junk File Remover

This page sets the file extensions for scanning of unwanted files. Experts can even add their own extensions . Wildcards (?,*) are accepted. The default settings are enough for normal users.

Adding new file types:
Firstly, it should be strongly noted that adding to or editing the existing file types can lead to hazardous results if you are not experienced with such matters. If you have ANY doubts about your ability to perform such modifications please refrain from doing so. Ace Utilities cannot be held responsible for any problematic results that misuse of these functions may cause.

If you are knowledgeable of windows file types, you may wish to customize the pre-built list. Perhaps you own an application that leaves behind junk and obsolete files because of a general untidy nature or frequent crashes or system freezes. If you know the extension or wildcard filter for the types of files you wish to scan for and remove using this tool, you may add them to the saved list of file types in the following manner:

(1) Click the 'Add' button
(2) In the box that pops up, enter the file type.
(3) Click ok.

To remove a file type, select the entry from the list and click 'Remove'.

Clean Temp Files Folder
Windows have a special folder called the 'Temp' where temporary files and data are stored by applications and the operating system. The files contained in this folder and any subfolders therein can safely assumed to be temporary. If you utilize this option, all files contained in the Windows Temp Folder will be considered eligible for removal.

Clean Temporary Internet Files
As you surf the Internet your browser saves various parts of the web pages you view onto your hard drive in order to speed up the loading process next time you access the site. Using this option, you can conveniently remove these files, clearing the space they occupy.

Don't use ignore list while scanning Temp folders
Since Temp folder only contain temporary files and data are stored by applications and the operating system, you can safely delete these files with out employing the Ace Utilities' built-in ignore feature for file scanning.

Find all zero length files
'Zero length' files are created when a third-party application creates a new document or other file but does not place any data within it. This can happen when you create a new file but forget to save it, or your application or system crashes before your work is saved, etc. These files literally contain no data and should be able to be safely removed, eliminating clutter from your system. So enabling this option will get rid of these files from your system.

Use Ignore list
Normal users must set the 'use ignore list' option. This is to exclude certain files from being included in the scan. Learn more about ignore lists.

Exclude
When you wish exclude any files contained within a certain folder from a scan, You can use the this option and instruct the file scanning process to ignore any files found within specified folder locations. These folders will be skipped if you check mark them. Add your folders having backup files. To add folders,

(1) Click 'Add' button.
(2) You'll be presented with a box that will allow you to browse your drives for the specific folder location you would like to add. Select this folder. You can also use wildcards (* and ? ) too.
(3) Click 'Ok'

Include
There may be times when you wish consider all of the files within a certain folder to be removed. This can be done in the following manner.

(1) Click 'Add' button.
(2) You'll be presented with a 'Browse for folder' box that will allow you to browse your drives for the specific folder location you would like to add. Select this folder.
(3) Click 'Ok'

Removal
This section deals with the way Ace Utilities handles 'file deletion', i.e., when you click the 'Delete' option. Three ways are provided which are as given below.

Send to the Recycle Bin
This is the safest and most wise method of removal. Files that are moved to the Windows Recycle Bin retain information about their original location etc. Chances are very good that if you need to reverse a file removal that has been stored in the Recycle Bin, you will be able to accomplish this easily. The downside of using the Recycle Bin is that the space occupied by the removed files is not freed until you actually empty the bin through Windows.

Delete permanently
This will delete the files permanently i.e., they are not sent to the recycle bin. Files removed via this fashion should be very carefully scrutinized before doing so because it will be extremely difficult and in most cases impossible to recover them once this type of removal is performed. Use this method only if you are sure the files in question are absolutely no longer needed. Ace Utilities cannot be held responsible for lost files, data, or information due to the use or misuse of this function.

Backup to this folder
Sometimes, rather than permanently deleting files or moving them to the Recycle Bin, it is useful to separate and move them into a specific folder. Files removed in this manner are zipped and stored in the backup location. They remain intact and can be examined before permanent removal. Browse and set the backup folder by clicking the 'Browse' button. To restore deleted entries, use the 'Restore' Tool. Please not that files backed up with this option can be restored only using the Restore Tool.

Registry Cleaner

In this section you can set a number of options available to you in order to allow you to manipulate the way that the registry cleaner tool will scan your registry. These options are described below:

Backup registry entries deleted to the folder

In here, you can specify the name of the backup folder in which an undo-file containing the deleted entries will be stored. To select folder,

(1) Click 'Browse' button.
(2) You'll be presented with a 'Browse for folder' box that will allow you to browse your drives for the specific folder location you would like to add. Select this folder.
(3) Click 'Ok'

To restore deleted entries, you can use the 'Restore' tool.

Scan

There are two options available (1) Standard (2) Thorough. The second option performs a more intensive scan algorithm.

Include all references to removable media

If this option is checked, the Registry Cleaner Tool will also scan for any invalid references that have data pointing to files or folders located on removable media like floppy

Include all references to CD Drive

If this option is checked, the Registry Cleaner Tool will also scan for any invalid references that have data pointing to files or folders located on CD-ROM’s. This is by-default unchecked cause your registry may contain references to files or folders on CD-ROMs that are not currently accessible.

Use Ignore List

Normal users must set the 'use ignore list' option. This is to exclude certain entries from being included in the scan. Experts can learn more about ignore lists.

The default settings are enough for normal users.

Advanced

When you click on the 'Advanced' button, you will be presented with a set of various locations in your Registry that will be scanned when looking for invalid data. It is not of much importance that you understand exactly what these options mean.

Shortcut Cleaner

You have two ways to specify where to look for invalid shortcut files.

Scan only Start Menu and desktop for broken shortcuts
If you would only like to scan your Start Menu and desktop for broken links, select this option.

All the drives specified in the 'Drives' tab
If you would like to scan the selected hard drive partitions on your system you can click on this option.

Duplicate File Finder

Select Duplicate file match criteria
The options in this section are utilized to specify the criteria used to determine whether two files are duplicates. The following options are available and described below.

Same Size
For true duplicate matching, same size is a must. This option compares file sizes down to the byte level for extra accuracy. It is very probable that two or more files that are exactly the same size are duplicates of each other.

Same name
Two or more files with the same name is a good indicator of duplicates, however this option should be used alone as it is quite possible that two totally unrelated files may exist with the same name which are not duplicates. This option alone provides very loose matching, and is unneeded if one or more of the other more stringent options are used.

Same contents using CRC-32
This is one of the most powerful options. Using this CRC file checking, the contents of the suspected duplicate files are compared. They will only match if they are truly duplicates of each other. Enabling this option will slow down the scanning process, but its worth the effort as it generates highly reliable output.

Ignore files with size less than 'x' MB
Enabling this option will exclude files whose size is less than that specified by the user.

Scan For

Scan for the following files
To restrict the search for duplicates to certain file types, select this option. Selecting this option will only scan for those file types that are in the pre-set list.

You can add to this pre-set list.

(1) Click the 'Add' button
(2) In the box that pops up, enter the file type.
(3) Click ok.

To remove a file type, select the entry from the list and click 'Remove'.

Scan all files
Enabling this option will look for duplicate files of all types on the selected drive(s).

Exclude
We have provided a pre-set list of some folders to be excluded from scanning. If you would like to exclude a folder that is not currently displayed within the Excluded Folders list, you may do so in the following manner.

(1) Click 'Add' button.
(2) You'll be presented with a box that will allow you to browse your drives for the specific folder location you would like to add. Select this folder. You can also use wildcards (* and ? ) too.
(3) Click 'Ok'

Scan Folders
By default, all the drives selected in the 'Drives' tab are scanned for duplicate files. With this option, you can scan a selected set of folders.

Add and check mark the folders you want to scan. If you use this option, the drives selected wont be scanned.

Removal
This section deals with the way Ace Utilities handles 'file deletion', i.e; when you click the 'Delete' option. Two ways are provided which are as given below.

Send to the Recycle Bin
This is the safest and most wise method of removal. Files that are moved to the Windows Recycle Bin retain information about their original location etc. Chances are very good that if you need to reverse a file removal that has been stored in the Recycle Bin, you will be able to accomplish this easily. The downside of using the Recycle Bin is that the space occupied by the removed files is not freed until you actually empty the bin through Windows.

Backup to this folder
Sometimes, rather than permanently deleting files or moving them to the Recycle Bin, it is useful to separate and move them into a specific folder. Files removed in this manner lose any information about where they originally were located, however they remain intact and can be examined before permanent removal. Browse and set the backup folder by clicking the 'Browse' button. To restore deleted entries, use the 'Restore' Tool

Miscellaneous

Show Tips at startup
Enabling this will show a Tip dialog box every time the program is started.

Confirm deletion/removal of file/invalid entry
Enabling this will show a confirmation box before you perform a delete operation.

View

Foreground and background colors
You can select the color scheme of the Ace Utilities GUI using this section. Only elementary changes are supported. Click 'Restore to default' to make the program revert to its original color scheme.

Select Font
You can use this option to change the font scheme. Click 'Restore to default' to make the program revert to its original fonts.


Unneeded File Remover

Wizard

Ace Utilities' Maintenance Wizard is a tool that conveniently consolidates several of Ace Utilities' features into one collective interface for quick access and operation. Maintenance Wizard will allow you to easily configure and run a variety of system maintenance procedures on your PC in just a few easy steps.

Using the Maintenance Wizard, you can perform the quickly following critical system maintenance operations:

  • Automatically search for and remove junk and obsolete files and other system junks from your hard drive(s).
  • Find and clean invalid information and references in the Windows Registry.
  • Clean up Internet browser cache, cookies, and other related buildup created while surfing the Internet.
  • Clean up invalid shortcuts.

To access the Maintenance Wizard, select the button labeled 'Wizard' from the Ace Utilities main screen.

Using the Wizard Interface

The Maintenance Wizard is designed with an easy to understand wizard-based Interface. Moving from step to step is accomplished by adjusting the options visible and then selecting the button labeled 'Next'. If you wish to go back at any time to make changes to previous step, select the button labeled 'Back'.

The wizard will remove all invalid entries. Please note that you wont be asked to confirm any deletion/removal. The wizard cannot be stopped once its operation begins. Options regarding the functions are to be set using the button labeled 'Option' from the Ace Utilities main screen.


Unneeded File Remover

Restore

Restore tool is used to restore those deleted files/entries that were backed up for future use.

There are three backup sections

Registry Cleaner
Whenever you clean the Registry, a corresponding Undo file is generated for any changes made which can be used to recreate the entries deleted. The undo-file will have its name related to the date and hour when it was created ;i.e., when the cleaning was done. This section shows a list of such undo files. To merge the deleted entries onto the system registry:

(1) Select the file from which you want to restore entries
(2) Click 'Restore All'

To delete the undo-files, select the file to be deleted and click 'Delete'.

Junk File Remover
I f you have set Ace Utilities to make back-ups of cleaned junk files, a corresponding zipped Undo file is generated which can be used to restore the files deleted. The zip-file will have its name related to the date and hour when it was created ;i.e., when the cleaning was done. To restore the deleted files:

(1) Select the zip file from which files are to be restored.
(2) Click on the Restore button to restore all files in the selected zip-file.
(3) If you click on Custom Restore, all the files inside the selected zip-file will be shown in another window from which you can selectively restore files.

To delete the undo-files, select the file to be deleted and click 'Delete'.

Duplicate File Finder
If you have set Ace Utilities to make back-ups of cleaned duplicate files, a corresponding zipped Undo file is generated which can be used to restore the files deleted. The zip-file will have its name related to the date and hour when it was created ;i.e., when the cleaning was done. To restore the deleted files:

(1) Select the zip file from which files are to be restored.
(2) Click on the Restore button to restore all files in the selected zip-file.
(3) If you click on Custom Restore, all the files inside the selected zip-file will be shown in another window from which you can selectively restore files.

To delete the undo-files, select the file to be deleted and click 'Delete'.


command line.htm

Command Line Support

Ace Utilities supports two basic command line options.

  • launch - launches just a particular utility than the main interface
  • tasks - performs a cleaning operation silently

Each of the above options has sub-options. They are explained below:

The tasks option

option | action
r | scans and cleans registry
h | erases history
j | removes unneeded files
s | removes invalid shortcuts

Remarks

The cleaning tasks uses the current settings. The main interface will not be shown. Instead, a small window will be shown.

After scanning, the entries found will be deleted automatically, without asking the user for confirmation.

Examples

To run just unneeded file remover:
"c:\program files\aceutils.exe" /tasks:j
To run just history eraser:
"c:\program files\aceutils.exe" /tasks:h
To run both unneeded file remover and registry cleaner:
"c:\program files\aceutils.exe" /tasks:jr
To run unneeded file remover, registry cleaner & history eraser:
"c:\program files\aceutils.exe" /tasks:jrh

The launch option

option | action
r | launches the registry scanner utility
h | launches the erases history
j | launches the remove junk files
s | launches the remove invalid shortcuts
u | launches the uninstaller
a | launches the startup manager
d | launches the duplicate file finder

Examples

To run just unneeded file remover:
"c:\program files\aceutils.exe" /launch:j
To run just history eraser:
"c:\program files\aceutils.exe" /launch:h
To run just uninstaller
"c:\program files\aceutils.exe" /launch:u


ignore lists.htm

Ignore Lists

Ace keeps an internal list of entries/files which are used to ignore/filter certain unsafe files/entries. These are used by the unneeded file remover tool, the registry cleaner tool and the duplicate file finder tool. The files or entries in these lists will not be listed as unneeded file/invalid entry/duplicate file. These ignore lists filter the entries, and hence the number of invalid entries or files found will be less when compared to other such utilities found on the internet. Just remember, Ace is making it safer for you ,thanks to its huge list of unsafe entries.

The ignore list for unneeded file remover contains entries like *.sys, *.ini, *setup*.log, faultlog.txt, etc. If you are an expert, you can view the list in the folder "\Ace Utilities\Data\Ignore_Junk\*.ini".

The ignore list for registry cleaner contains entries like 'Norton', 'Office', 'Kernel', etc. Experts can view the list in the folder "\Ace Utilities\Data\Ignore_Reg\*.ini".

The ignore list for duplicate file finder contains entries like *.dll, *.ocx, 'command.com', 'user.dat', etc. If you are an expert, you can view the list in the folder "\Ace Utilities\Data\Ignore_Dup\*.ini".

The names of any of these files does not matter, except for the extension '.ini'. You can add your own entries by creating a new file say 'myignorelist.ini', and adding entries to the file.

Please don't edit the original files if you don't know what they mean.

You can opt not to use the ignore list for unneeded file remover and registry cleaner using the options dialog. In that case, all the entries will be listed, regardless of safe/unsafe entries. The entries which are unsafe will be listed red in color. Removing those entries will be harmful to your system. Only experts should scan without using ignore lists, in order to examine entries.

Note:- If you find any entry that should be ignored, please send us the entry, so that we can add the entry to the distribution files.


tips and tricks

Tips & Tricks

Enable as few applications as possible in the auto startup program list, so that your computer boots faster, has maximum system resources, is protected from harmful programs, and the applications run faster. Don't forget to allow virus scanners to run if one is there. You can identify the apps in the list by clicking 'verify', and see if Ace can recognize any trojan/spyware/virus in the list using its internal database of known entries. A very good web site to identify the apps is http://www.spywareinfo.com/startup_pages/startup_full.htm
Some entries in the startup program list may be invalid. There should be a [image] icon next to it. Verify the path and remove the entry using the popup menu.
Clean your registry at least once in a week.
Windows XP users should empty the prefetch folder at least once in a month, using the history eraser tool.

Some entries in the uninstall program list may be invalid. There should be a [image] icon next to it. Verify the path and remove the entry using the popup menu (for experts only) .
You can schedule to run Ace's unneeded file remover, registry cleaner, or/and history eraser at a particular time/day using the Microsoft Task Scheduler. The Task Scheduler can be accessed from the control panel\Scheduled Tasks\Add tasks. Before clicking finish, check mark 'open advanced properties' option. From the dialog box shown, modify the 'Run' field by adding arguments. See command line support for more details. You must have scheduler enabled however. Use the 'Advanced' menu of scheduler to enable scheduler.
Using command line arguments, you can create shortcuts in the start menu or desktop and perform tasks like registry cleaning, unneeded file removal or/and history erasing with a single click. Create a shortcut to the executable file aceutils.exe. Then take the shortcut's properties, and modify the 'target' field by adding the arguments.
It is always a good idea to backup the registry, if you are cleaning registry for the first time.

Read more details on how to backup and restore registry

If you have WinXP/2000, then run NTbackup to back up system state once a week and keep System Restore running. Together with the Recovery Console, this will help you to boot to XP/2000, if windows won't boot at all due to a corrupt registry. Read this to learn how to recover from a corrupted registry that prevents windows from starting.

Install Recovery Console, to start Windows XP/2000, in case windows won't load at all.
To install the Recovery Console as a startup option, insert the Setup CD into your CD-ROM drive.
Click Start and select Run. Type the following where D: is the CD-ROM drive letter: "D:\i386\winnt32.exe /cmdcons"

Test System Restore from time to time by creating a restore point and restoring that restore point to make sure your System Restore is working.


reg bak restore.htm

Back Up, Restore Registry

Note: Print and keep this page, as you won't be able to read this if your computer won't boot.

How To: Manually Back Up the Windows 98/Me Registry

Make a backup copy of the registry using the following steps:

  • Click Start, click Run, type scanregw, and then click OK.
  • When you receive a prompt to back up the registry, click Yes.
  • When you receive the "Backup complete" message, click OK.

How To: Manually Restore the Windows 98/Me Registry

Under normal circumstances, Windows is capable of detecting and recovering from registry errors automatically. If Windows is incapable of this, a previous copy of the registry can be restored manually. By default, five previous copies or the registry are stored. To restore one of these previous copies:

  • Start your computer, press and hold CTRL, and then choose Safe Mode Command Prompt Only from the Windows 98 Startup menu. If you are running Windows Me, start your computer with the startup disk.
  • At the MS-DOS prompt, type "cd\windows\command", and then press ENTER. Where windows is the name of the folder in which Windows is installed.
  • At the C: prompt, type "scanreg /restore", and then press ENTER.
  • Select the previous registry you want to restore, and then press ENTER. NOTE: A properly working registry has the word "Started" next to the date.
  • When you receive notification that you restored a properly working registry, press ENTER to restart your computer.

How To: Use Backup to Back Up Registry in Windows XP/2000

We can use the Ntbackup (ntbackup.exe) to back up the registry.

  • Click Start, point to All Programs, point to Accessories, point to System Tools, and then click Backup. The Backup or Restore Wizard starts. (Or type ntbackup in the Start Menu/Run dialog box and click OK)
  • Click Advanced Mode.
    NOTE: If the Backup and Restore Wizard does not start automatically, click Backup Wizard on the Tools menu to back up files.
  • Click the Backup tab.
  • On the Job menu, click New.
  • Click to select the System State check box that is located under My Computer in the left pane.
  • In the Backup destination list, click the backup destination that you want to use.
    If you clicked File in the previous step, type the full path and file name that you want in the Backup media or file name box.
  • Click Start Backup. The Backup Job Information dialog box appears.
  • Under If the media already contains backups, use one of the following steps:
    If you want to append this backup to previous backups, click Append this backup to the media.
    If you want to overwrite previous backups with this backup, click Replace the data on the media with this backup.
  • Click Advanced.
  • Select the Verify data after backup check box.
  • In the Backup Type box, click the type of backup that you want. When you click a backup type, a description of that backup type is displayed under "Description."
  • Click OK, and then click Start Backup. A Backup Progress dialog box appears, and the backup starts.
  • When the backup is complete, click Close.

This back up procedure backs up the five system registry hives (security, software, system, default, and SAM) in %windir%\repair. You can use the Recovery Console to restore the backup system hives.

How To: Recover When XP Won't Boot Due To Corrupt Registry

Follow these steps:

1) Reboot and press F8 when the Windows logo appears and select "Last Known Good". This will restore the system registry hives, if it works.

2) If that doesn't work, we will have to boot to Recovery Console and recover those five backed up files from \Windows\repair to \Windows\system32\config. Then after a successful boot, run System Restore and restore the latest restore point.

For this, follow these steps:

  • Restart your computer and select the Recovery Console option from the list of available operating Systems. If your computer will not start, you can run the Recovery Console from the Setup CD.
  • At the Recovery Console command prompt, type the following lines, pressing ENTER after you type each line:

    md tmp
    copy c:\windows\system32\config\system c:\windows\tmp\system.bak
    copy c:\windows\system32\config\software c:\windows\tmp\software.bak
    copy c:\windows\system32\config\sam c:\windows\tmp\sam.bak
    copy c:\windows\system32\config\security c:\windows\tmp\security.bak
    copy c:\windows\system32\config\default c:\windows\tmp\default.bak

    delete c:\windows\system32\config\system
    delete c:\windows\system32\config\software
    delete c:\windows\system32\config\sam
    delete c:\windows\system32\config\security
    delete c:\windows\system32\config\default

    copy c:\windows\repair\system c:\windows\system32\config\system
    copy c:\windows\repair\software c:\windows\system32\config\software
    copy c:\windows\repair\sam c:\windows\system32\config\sam
    copy c:\windows\repair\security c:\windows\system32\config\security
    copy c:\windows\repair\default c:\windows\system32\config\default
    Type exit to quit Recovery Console. Your computer will restart.
  • Click Start, and then click All Programs. Click Accessories, and then click System Tools.
  • Click System Restore, and then click Restore to a previous RestorePoint.

The ability to run System Restore from the Recovery Console is yet to implemented by Microsoft. Until then you need NTbackup to create the backups of the registry. Or you can try the procedure in "How to Recover from a Corrupted Registry" in http://support.microsoft.com/?id=kb;en-us;Q307545 . This describes a process to extract the system hives from the SVI folder where SR keeps its restore points, if you don't have NTbackup system state backups.

/////////////////////////


How to Purchase

Ace Utilities is a shareware program. If you find it useful, and wish to continue using it after the expiration of the 30-day evaluation period, you are required to register it. You can use the splash screen to register, by clicking 'Buy', or click the link below.

Click here to purchase over the internet (secure server).

(Credit Cards, Checks, Money Orders, Fax and Phone Call are accepted.)

Registration entitles you to the following benefits:

  • Removal of the 30-day limitation & welcome screen.

  • The most recent version of the program.

  • Unlimited free technical support.

  • Free upgrade/updates to all the future version of the program. ( You will end up paying hundreds of dollars for upgrades, if you buy other similar products). Ace Utilities comes with a lifetime free upgrade. Never pay again.

  • A sincere "Thank you" for supporting shareware.

The pricing for Ace Utilities is as follows:

Single user:

$29.00

Please note that you will not receive any disks. Instead you will be sent a registration key by e-mail.

Registration FAQ

Q. Can I register by sending a check ?

A. Of course. Click the purchase link above to visit the order website. From there, choose the postal order option. You will be given an address to send your check/money order to. You can also use FAX, money orders, phone, etc.

Q. I am afraid to use credit cards on the internet ?

A. Don't be. The order site is highly secure, according to government standards. It uses a 1024-bit RSA encryption.

Q. I ordered using a credit card. How long will it take for my registration code to be sent by email ?

A. As soon as your credit card is validated, you will get a code. Normally, this is a matter of seconds. But it can take a few minutes or even hours in some cases. If you feel the delay is too long, just contact us. We would be happy to assist you.


Contact

We welcome any and all contact with our customers. Please drop us a note with your feedback or questions!
For technical support or for general questions you can contact us via:

Email: hari@acelogix.com

Web: www.acelogix.com

When reporting bugs or problems please include:

Operating system (Win98/ME/2000/NT/XP)

Problem description

Please keep in mind that the more information you provide about your problem, the better chance we have of finding a solution.


Frequently Asked Questions

Q: How can i select multiple items in the list and remove/delete them ?
A: Hold down the Ctrl key on your keyboard and select each item with your left mouse button, and then take the appropriate action (remove selected, delete selected etc..).

Q: I have another auto-startup program organizer and it is showing other disabled items, that ace is not showing. Why?
A: Each software has its-own way of disabling auto startup programs. Most of them move the shortcuts to another location of their choice. So one program cannot know where the other one is keeping their files, and hence can't show them.

Q: What is RegEdit, and how can i use it?
A: Regedit is the tool used to edit the Windows Registry. Learn more about Windows Registry before using RegEdit.

Q: What do the icons mean in the invalid registry entry list?
A: These icons don't mean anything special. They just indicate the location of the invalid entry. For example, the 'man' icon indicates the invalid entry is located in the HKEY_CURRENT_USER hive of the registry.